Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019790
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2012-02-16 13:152012-04-17 05:31
ReporterjecharriView Statuspublic 
Assigned Tonaiaramartinez 
PriorityhighResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchpiFixed in SCM revision9aea97f20438
ProjectionnoneETAnoneTarget Version3.0MP11
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP9SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019790: The "Shipments Dimensional Report" fails in comparative mode

DescriptionThe "Shipments Dimensional Report" fails in comparative mode. This occurs in Purchase invoice dimensional report too.
Steps To ReproduceAS "Group Admin" go to "Shipments Dimensional Report"
-Configure like in attached image [configuration.png]
-And you will see that report fails. You can see the fail in the image
TagsVMA-Reviewed
Attached Filespng file icon configuration.png [^] (87,571 bytes) 2012-02-16 13:15

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0047362)
naiaramartinez (developer)
2012-04-03 17:53

Test Plan:
   Go to "Shipments Dimensional Report".
   Configure the filters: From Date: 01-01-2010
                          To Date: 30-04-2012
                          From Reference Date: 01-01-2010
                          To Reference Date: 30-04-2012
   Configure in dimensions: Select Busines Partner Group, BP, and Documentno
   Press HTML Format or PDF Format buttons and you can see the report without errors.
(0047484)
hgbot (developer)
2012-04-11 13:14

Repository: erp/devel/pi
Changeset: 9aea97f20438f885685659623b98da3b374c0ccd
Author: Naiara Martinez <naiara.martinez <at> openbravo.com>
Date: Tue Apr 03 17:44:43 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9aea97f20438f885685659623b98da3b374c0ccd [^]

fixed bug 19790 Change WeightDimensionalComparative's variable expression
IT was comparing a BigDecimal with equals, and now it is comparing with signum

---
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalComparative.jrxml
---
(0047485)
vmromanos (developer)
2012-04-11 13:15

code review + testing OK
(0047627)
hudsonbot (developer)
2012-04-17 05:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cedf57621434 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-16 13:15 jecharri New Issue
2012-02-16 13:15 jecharri Assigned To => vmromanos
2012-02-16 13:15 jecharri File Added: configuration.png
2012-02-16 13:15 jecharri Modules => Core
2012-02-16 13:59 vmromanos Tag Attached: VMA-Reviewed
2012-04-03 11:16 xabiermerino version pi => 3.0MP9
2012-04-03 11:16 xabiermerino Target Version => 3.0MP11
2012-04-03 11:58 xabiermerino Description Updated View Revisions
2012-04-03 11:58 xabiermerino Issue Monitored: networkb
2012-04-03 12:22 jonalegriaesarte Assigned To vmromanos => jonalegriaesarte
2012-04-03 17:42 naiaramartinez Assigned To jonalegriaesarte => naiaramartinez
2012-04-03 17:42 naiaramartinez Status new => scheduled
2012-04-03 17:42 naiaramartinez fix_in_branch => pi
2012-04-03 17:53 naiaramartinez Note Added: 0047362
2012-04-11 13:14 hgbot Checkin
2012-04-11 13:14 hgbot Note Added: 0047484
2012-04-11 13:14 hgbot Status scheduled => resolved
2012-04-11 13:14 hgbot Resolution open => fixed
2012-04-11 13:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9aea97f20438f885685659623b98da3b374c0ccd [^]
2012-04-11 13:15 vmromanos Note Added: 0047485
2012-04-11 13:15 vmromanos Status resolved => closed
2012-04-11 13:15 vmromanos Fixed in Version => 3.0MP11
2012-04-17 05:31 hudsonbot Checkin
2012-04-17 05:31 hudsonbot Note Added: 0047627


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker